Manual do PHP
Anterior |  | Próxima

# key

(PHP 3, PHP 4 , PHP 5)

key -- Retorna uma chave de um array associativo

## Descrição

mixed key ( array array )

key() retorna a chave da posição corrente de um array.

Exemplo 1. key() exemplo

`<?php $array = array( 'fruit1' => 'apple', 'fruit2' => 'orange', 'fruit3' => 'grape', 'fruit4' => 'apple', 'fruit5' => 'apple'); // este ciclo exibirá toda a chave do array associativo // onde o valor é igual a "apple" while ($fruit_name = current($array)) { if ($fruit_name == 'apple') { echo key($array).'<br>'; } next($array); } ?>`

Veja também current() e next().

Anterior | Principal | Próxima
in_array | Acima | krsort